Bug 808088 - [l10n] Updating PO files messes the order of strings
[l10n] Updating PO files messes the order of strings
Status: CLOSED CURRENTRELEASE
Product: Publican
Classification: Community
Component: publican (Show other bugs)
3.0
All All
unspecified Severity high
: 3.0
: ---
Assigned To: Jeff Fearn
tools-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-29 10:42 EDT by Raphaël Hertzog
Modified: 2012-10-30 23:11 EDT (History)
3 users (show)

See Also:
Fixed In Version: 3.0.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-30 23:11:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Raphaël Hertzog 2012-03-29 10:42:18 EDT
Running "publican update_po" results in PO files where all the strings are sorted by the msgid instead of being in the order of appearance in the original XML file.

The operation is also *much* slower than it used to be in Publican 2.x.

(This is with a git snapshot of 2012-03-27)

Additional info:
Versions of packages publican depends on:
ii  docbook-xml                                  4.5-7
ii  docbook-xsl                                  1.76.1+dfsg-1
ii  fop                                          1:1.0.dfsg2-6
ii  gettext                                      0.18.1.1-5
ii  libarchive-zip-perl                          1.30-6
ii  libconfig-simple-perl                        4.59-5
ii  libdatetime-format-dateparse-perl            0.05-1
ii  libdatetime-perl                             2:0.7300-1
ii  libdbd-sqlite3-perl                          1.35-1
ii  libdbi-perl                                  1.618-1
ii  libfile-copy-recursive-perl                  0.38-1
ii  libfile-find-rule-perl                       0.33-1
ii  libfile-inplace-perl                         0.20-1
ii  libfile-pushd-perl                           1.001-1
ii  libfile-which-perl                           1.09-1
ii  libhtml-format-perl                          2.10-1
ii  libhtml-formattext-withlinks-andtables-perl  0.01-1
ii  libhtml-formattext-withlinks-perl            0.14-1
ii  libhtml-template-perl                        2.10-1
ii  libhtml-tree-perl                            4.2-1
ii  libimage-size-perl                           3.230-1
ii  libio-string-perl                            1.08-2
ii  liblocale-maketext-gettext-perl              1.28-1
ii  liblocale-po-perl                            0.21-1
ii  libmakefile-parser-perl                      0.215-1
ii  librsvg2-bin                                 2.36.0-1
ii  libstring-similarity-perl                    1.04-1
ii  libsyntax-highlight-engine-kate-perl         0.05+dfsg-1
ii  libtemplate-perl                             2.22-0.1+b2
ii  libxml-libxml-perl                           1.95+dfsg-1
ii  libxml-libxslt-perl                          1.77-1
ii  libxml-simple-perl                           2.18-3
ii  libxml-treebuilder-perl                      4.0-1
ii  perl                                         5.14.2-9
ii  perlmagick                                   8:6.6.9.7-6
Comment 1 Jeff Fearn 2012-05-03 00:57:16 EDT
Fixed merge function to output strings in same order as POT file.

To ssh://git.fedorahosted.org/git/publican.git
   f62a021..85436ed  master -> master
Comment 2 Michael Hideo 2012-06-07 21:58:01 EDT
take publican book. run update po to create new translation directory. look at po files and verify that the strings appear in the same order as the xml file.
Comment 3 Hedda Peters 2012-06-13 20:45:39 EDT
Verified - order of the strings as expected.

Note You need to log in before you can comment on or make changes to this bug.